<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
		header('location:acceso_denegado.php');
		}



$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$cod = $row["codusu"];

		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }


$cdgcli = $_POST["cdgcli"];
$dsccli = strtoupper($_POST["dsccli"]);
$fecfac = $_POST["fecfac"];
$fecfac = implode("-", array_reverse(explode("-", $fecfac))); 
$detval = $_POST["detval"];
$numfac = $_POST["numdoc"];
$total  = $_POST["total"];
$total  = str_replace (",","",$total);

$detpro="VAL";
$cdgusu=$cod;
$cdgven=$cod;
$cdgtipven=2;	
$minimo=0;


	//************************************************ Seleción del plazo del cliente *********************************


 if ($cdgtipven == 2) {
 
  	   $consulta = "SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
        $cedcli = $row["CEDCLI"];
		$dsccli = $row["DSCCLI"];
	    $pladia = $row["CDGPLA"];
	   


// calculo de la fecha de vencimiento **

		$vencimiento= "+".$pladia." day" ;
		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecfac ) ) ;
		$fecven = date ( 'Y-m-d' , $fecven );
	
   } else {
   
	   $cdgtipven = 1;
	   $pladia = "0";
  	   $consulta = "SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
	   
	    if ($cdgcli == 9999) {
	   
	     } else {

	    $cedcli = $row["CEDCLI"];
		$dsccli = $row["DSCCLI"];

	   
   		
		}
    }



	
	//************************************************ Insert 2101 CxC y proveedores  saldo actual*******************************
	if ($accion=="alta") {		

		$query_operacion1="INSERT INTO web_2101 ( fecfac,  cdgcli, dsccli, cdgven, pladia, fecven, numfac,  monsub,mondes, impvta, totnet, salact, modpro ) VALUES ('$fecfac', '$cdgcli', '$dsccli', '$cdgusu','$pladia','$fecven','$numfac','$total', '0','0','$total' ,'$total','$detpro')";	
		$mysqli->query($query_operacion1);



		
	$consulta = "SELECT SUM(salact) AS saldo FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $salact = $row["saldo"];
	
	$nuevo_saldo="UPDATE web_0301 SET  salact='$salact' WHERE cdgcli='$cdgcli'";
	$mysqli->query($nuevo_saldo);


      	$query_operacion2="INSERT INTO movimientos_caja ( codmov, fecha,  codigo, nombre, total,  borrado, tipmov, numdoc, cdgcaj, detmov ) VALUES ( '', '$fecfac', '$cdgcli', '$dsccli', '$total','0','$detpro' ,'$numfac', '$cdgusu', '$detval')";	

		$mysqli->query($query_operacion2);
		$codmov= $mysqli-> insert_id ;
		

		} 



?>	
	<html>
	<head>
		<title>Factura Nula</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


		function imprimir(codmov) {

		window.open("../fpdf/imprimir_vale_PUNTO_VENTA.php?codmov="+codmov);
		}

		</script>



</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Operacion completada satisfactoriamente
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>



<?php 
		
	
echo "<script>";
echo "imprimir($codmov);";
echo "</script>";	



?>

					
					